Bug 584580 - additional NFS repositories appears with bad syntax in produced anaconda-ks.cfg
additional NFS repositories appears with bad syntax in produced anaconda-ks.cfg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 17:16 EDT by Frantisek Hanzlik
Modified: 2013-02-15 04:58 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-14.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 22:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hanzlik 2010-04-21 17:16:08 EDT
Description of problem:

manually added aditional NFS repos are in /root/anaconda-ks.cfg mentioned
as:

repo --name="REPONAME" --baseurl=file:///mnt/REPONAMErandompart/

which is evidently bad. This bug was in previous Fedora releases as well,
i think at least in F11 and F12.


Version-Release number of selected component (if applicable):
anaconda-13.37.2-1.fc13.i686, Fedora 13 Rawhide released 20-Apr-2010


Expected results:
nfs://<host>:<port><url-path> (according to RFC2224) is probably adequate syntax,
but anything what provide reproducible solution may be sufficient.

Additional info:
I believe that system-config-kickstart for specified NFS repos produce some other, with anaconda too incompatible syntax. But I'm not sure how it is in Fedora 13 rawhide, and even this should be another bugreport.
Comment 1 Bug Zapper 2010-07-30 07:26:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Radek Vykydal 2010-08-02 08:07:51 EDT
This should be fixed in anaconda-14.14-1.
Comment 3 Fedora Update System 2010-08-02 14:49:33 EDT
anaconda-14.14-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/anaconda-14.14-1.fc14
Comment 4 Fedora Update System 2010-08-02 22:17:49 EDT
anaconda-14.14-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/anaconda-14.14-1.fc14
Comment 5 Frantisek Hanzlik 2010-08-03 16:31:31 EDT
because it is installer, i will wait when released on an bootable media.
Comment 6 Frantisek Hanzlik 2011-04-14 01:57:22 EDT
I test it on final F14 (anaconda 14.22). Additional NFS repos are now in ks file in format:

repo --name="RepoName"  --baseurl=nfs::ser.ver.cz:/Path/To/Repo --cost=1000

which may be OK. But there is still some minor problem: When I make kickstart file which contain this additional NFS repos, then anaconda not properly analyze them and display "Error" window with text:
"
Unable to read package metadata. This may be due to a missing repodata directory. Please ensure that your install tree has been correctly generated.

Cannot retrieve repository metadata (repomd.xml) for repository RepoName. Please verify its path and try again.

Exit installer/Edit/Retry/Continue
"

When click to Edit button, window for repo specification appears with all items RIGHTLY filled from repo spec in kickstart file. Thus is enought just to click to OK button, and anaconda without problem fetch repo and continue.

I'm not sure, what is adequate - leave this issue in this thread, or fill new bug report - can You suggest?
Comment 7 Frantisek Hanzlik 2012-04-07 10:17:51 EDT
Same problem as described in Comment 6 still insists in F15 and F16, thus I picked version to F16.
Comment 8 Fedora End Of Life 2013-01-16 21:18:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 22:04:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Frantisek Hanzlik 2013-02-15 04:58:21 EST
Same problem as described in Comment 6 still insists in F17, thus I picked version to F17.
But will be better - unusable F18 installer solve this with its own virtuosity - isn't possible specify additional repo ever.

Note You need to log in before you can comment on or make changes to this bug.